# List Vault Addresses

Get a list of all addresses in a vault.

Endpoint: GET /api/v1/vaults/{id}/addresses
Version: 0.2.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    ID of the vault.

## Query parameters:

  - `sort_by` (array)
    Enum: "created_at_asc", "created_at_desc", "name_asc", "name_desc"

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

  - `search` (string)

  - `addresses` (array)
    List of addresses to filter on.

  - `address_types` (array)
    List of address types to filter on.
    Enum: "legacy", "p2sh", "segwit", "taproot"

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `addresses` (array, required)

  - `addresses.id` (string, required)
    The unique identifier of the object in the Fordefi platform.

  - `addresses.created_at` (string, required)
    The date and time when the object was created.

  - `addresses.modified_at` (string, required)
    The date and time when the object was last modified. Any change to any field of the resource is considered a modification.

  - `addresses.vault` (object, required)
    The vault this address belongs to.

  - `addresses.vault.id` (string, required)
    The unique identifier of the vault in the Fordefi platform.

  - `addresses.vault.vault_group_ids` (array, required)
    The unique identifiers of the vault groups this vault belongs to.

  - `addresses.vault.name` (string, required)
    The name of the vault.

  - `addresses.vault.address` (string)
    The address of the vault.

  - `addresses.vault.state` (string, required)
    The state of the vault.
    Enum: "active", "archived", "deleted", "pending", "aborted"

  - `addresses.vault.type` (string, required)
    The vault type.
    Enum: "aptos", "black_box", "cosmos", "evm", "safe", "solana", "stacks", "starknet", "sui", "ton", "tron", "utxo", "exchange"

  - `addresses.vault.logo_url` (string)
    The logo of the vault. Supported only for exchange vaults.

  - `addresses.vault.end_user` (object)
    The end user that owns this vault if it is in a Consumer Wallet organization. None otherwise.

  - `addresses.vault.end_user.id` (string, required)
    The unique identifier of the user in the Fordefi platform.

  - `addresses.vault.end_user.user_type` (string, required)
    The type of the user.

  - `addresses.vault.end_user.external_id` (string, required)
    External id of the user.
    Example: "user|1234"

  - `addresses.vault.end_user.state` (string, required)
    The state of the user.
    Enum: "active", "deleted"

  - `addresses.name` (string, required)
    The name of the address.

  - `addresses.public_key_compressed` (string, required)
    The compressed public key of the address. As defined in the SEC1 standard: https://www.secg.org/SEC1-Ver-1.0.pdf.
    Example: "SGVsbG8="

  - `addresses.derivation_path` (string, required)
    The BIP-32 derivation path of the address.
    Example: "m/44/60/0/0/0"

  - `addresses.type` (string, required)
    The type of the vault address.

  - `addresses.address` (object, required)
    The address on the chain.

  - `addresses.address.address` (string, required)
    The UTXO string address.
    Example: "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"

  - `addresses.address.address_type` (string, required)
    The type of the address.
    Enum: "legacy", "p2sh", "segwit", "taproot"

  - `addresses.address.chain` (object, required)
    The UTXO chain unique ID.

  - `addresses.address.chain.chain_type` (string, required)
    The type of the chain.

  - `addresses.address.chain.unique_id` (string, required)
    The UTXO chain unique ID.
    Enum: "bitcoin_mainnet", "bitcoin_testnet", "bitcoin_testnet_v4", "dogecoin_mainnet", "bitcoin_cash_mainnet", "pearl_mainnet"

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


